Name:		putty
Version:	0.74
Release:	%mkrel 2
Summary:	SSH, Telnet and Rlogin client
License:	MIT
Group:		Networking/Remote access
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}-icons.tar.bz2
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	halibut >= 1.1
BuildRequires:	desktop-file-utils

%description
This is the Unix port of the popular Windows ssh client, PuTTY. It
supports flexible terminal setup, mid-session reconfiguration using
Ctrl-rightclick, multiple X11 authentication protocols, and various
other interesting things not provided by ssh in an xterm.

%prep
%setup -q
%setup -q -T -D -a2

%build
export CFLAGS="%{optflags} -Wno-error"
%configure
perl -i -pE 's/(\s|^)-Werror(\s|$)/$1$2/g' `find . -name Makefile`
%make_build

%install
install -d  html
install -pm 0644 doc/*.html html
%make_install

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

install -D -m 644 %{name}48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%name.png
install -D -m 644 %{name}32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%name.png
install -D -m 644 %{name}32.png %{buildroot}%{_datadir}/icons/%name.png
install -D -m 644 %{name}16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%name.png

%files
%doc LICENCE README CHECKLST.txt html
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/putty.png


%changelog
* Thu Jul 09 2020 ovitters <ovitters> 0.74-2.mga8
+ Revision: 1603638
- drop Mageia specific category from desktop file (mga#2449)

* Tue Jun 30 2020 daviddavid <daviddavid> 0.74-1.mga8
+ Revision: 1600769
- new version: 0.74

* Sun Feb 16 2020 umeabot <umeabot> 0.73-2.mga8
+ Revision: 1534240
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 29 2019 daviddavid <daviddavid> 0.73-1.mga8
+ Revision: 1448087
- new version: 0.73

* Fri Aug 09 2019 shlomif <shlomif> 0.72-1.mga8
+ Revision: 1428454
- New version 0.72

* Sat Mar 23 2019 shlomif <shlomif> 0.71-1.mga7
+ Revision: 1379743
- New version 0.71 ( mga#24547 )

* Sun Sep 23 2018 umeabot <umeabot> 0.70-3.mga7
+ Revision: 1300414
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 0.70-2.mga7
+ Revision: 1225683
- turn off -Werror thus fixing build

* Sun Jul 16 2017 shlomif <shlomif> 0.70-1.mga7
+ Revision: 1123873
- New version 0.70

* Sun Jun 25 2017 shlomif <shlomif> 0.69-2.mga6
+ Revision: 1108386
- Convert to build using 'configure' and gtk+3.0 (mga#21120)

* Wed May 10 2017 luigiwalser <luigiwalser> 0.69-1.mga6
+ Revision: 1099993
- add upstream patch via fedora to fix build
- 0.69

* Sun Mar 19 2017 shlomif <shlomif> 0.68-1.mga6
+ Revision: 1093630
- New upstream version 0.68 with fixes ( MGA#20525 ).
+ gw666 <gw666>
- bump halibut dep

* Thu Mar 10 2016 gw666 <gw666> 0.67-1.mga6
+ Revision: 988723
- new version 0.67

* Sat Feb 20 2016 umeabot <umeabot> 0.66-2.mga6
+ Revision: 972479
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 gw666 <gw666> 0.66-1.mga6
+ Revision: 899689
- new version 0.66

* Tue Jul 28 2015 sander85 <sander85> 0.65-1.mga6
+ Revision: 858560
- New version: 0.65

* Tue Mar 03 2015 oden <oden> 0.64-1.mga5
+ Revision: 817396
- 0.64 (fixes CVE-2015-2157)

* Wed Oct 15 2014 umeabot <umeabot> 0.63-4.mga5
+ Revision: 742563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.63-3.mga5
+ Revision: 687843
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.63-2.mga4
+ Revision: 531641
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 oden <oden> 0.63-1.mga4
+ Revision: 464316
- 0.63 (fixes CVE-2013-4852, CVE-2013-4206, CVE-2013-4207, CVE-2013-4208)

* Mon Aug 05 2013 oden <oden> 0.62-3.mga4
+ Revision: 463793
- P1: security fix for CVE-2013-4852

* Sun Jan 13 2013 umeabot <umeabot> 0.62-2.mga3
+ Revision: 378344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 fwang <fwang> 0.62-1.mga2
+ Revision: 180339
- new version 0.62

* Mon Sep 19 2011 fwang <fwang> 0.61-3.mga2
+ Revision: 145576
- br desktop-file-utils
- rebuild for new libpng
+ stormi <stormi>
- update release so that it's higher than in mageia 1

* Wed Jul 13 2011 sander85 <sander85> 0.61-1.mga2
+ Revision: 123812
- new version: 0.61

* Thu Jun 30 2011 sander85 <sander85> 0.60-1.20100910svn8991.mga2
+ Revision: 116931
- imported package putty


* Thu Jun 30 2011 Sander Lepik <sander.lepik@eesti.ee> - 0.60-1.20100910svn8991.mga2
- Initial import (mixed from Mandriva & Fedora)
